//****************************************************************************
// @Module        Main
// @Filename      MAIN.C
// @Project       prakt3.dav
//----------------------------------------------------------------------------
// @Controller    Infineon C164CI-8E
//
// @Compiler      KEIL C166
//
// @Codegenerator DAvE 2-0-0
//
// @Description   This file contains the Project initialization function.
//
//----------------------------------------------------------------------------
// @Date          27.05.2013 08:39:19
//
//****************************************************************************

/*
******************************************************************************
@Note




******************************************************************************
*/

//****************************************************************************
// @Project Includes
//****************************************************************************

#include "MAIN.H"

// USER CODE BEGIN (Main,0)
#include <stdio.h>
#include "GT1.H"
#include "cc2.h"
// USER CODE END


//***************************************************************************
// @Global Variables
//***************************************************************************

// USER CODE BEGIN (Main,3)

// USER CODE END


//****************************************************************************
// @Function      void Project_Init(void)
//
//----------------------------------------------------------------------------
// @Description   This function initializes the microcontroller.
//
//----------------------------------------------------------------------------
// @Returnvalue   none
//
//----------------------------------------------------------------------------
// @Parameters    none
//
//----------------------------------------------------------------------------
// @Date          27.05.2013 08:39:19
//
//****************************************************************************

void Project_Init(void)
{

  // USER CODE BEGIN (Project_Init,0)

  // USER CODE END

  /// the following initialization is made by the compiler EDE when you
  /// import the DAvE project

  /// --- initialization of the SYSCON Register ---
  ///- 256 words system stack
  ///- the internal ROM area is mapped to segment 1
  ///- the segmentation is enabled (CSP is saved/restored during interrupt entry/exit)
  ///- the internal ROM is disabled: accesses to the ROM area use the external bus
  ///- the pin #BHE (byte high enable) is enabled
  ///- the system clock output is disabled
  ///- the pins #WR and #BHE retain their normal functions
  ///- the on-chip X-Peripherals are enabled and can be accessed
  ///- pin #RSTIN is an input only
  ///- the on-chip oscillator watchdog is disabled
  ///- latched CS mode; CS signals are latch internally


  /// --- initialization of the BUSCON 0-4 and ADRRSEL Registers 1-4 ---

  /// ---------- external bus 0 is enabled ----------
  ///- 16-bit multiplexed bus
  ///- memory cycle time control: 15 waitstates
  ///- read/write delay control: activate signal 1 TCL after falling edge of ALE  
  ///- chip select mode: address chip select 
  ///- memory tristate control: 1 waitstate
  ///- ALE lengthening control: lengthened ALE signal


  // initializes the IO ports
  IO_vInit();

  // initializes the Asynchronous/Synchronous Serial Interface (ASC)
  ASC_vInit();

  // initializes the Analog/Digital Converter (ADC)
  ADC_vInit();

  // initializes the Capture/Compare Unit CAPCOM2
  CC2_vInit();

  // initializes the General Purpose Timer Unit 1 (GPT1)
  GT1_vInit();

  // USER CODE BEGIN (Project_Init,1)

  // USER CODE END

  /// globally enable interrupts
  IEN = 1;
}


//****************************************************************************
// @Function      void main(void)
//
//----------------------------------------------------------------------------
// @Description   This is the main function.
//
//----------------------------------------------------------------------------
// @Returnvalue   none
//
//----------------------------------------------------------------------------
// @Parameters    none
//
//----------------------------------------------------------------------------
// @Date          27.05.2013 08:39:19
//
//****************************************************************************

void main(void)
{
  // USER CODE BEGIN (Main,1)

	const unsigned char nextChannel[3] = {AN1,AN2,AN0};
	unsigned char curChannel=AN0;   
	char buffer[21];
  // USER CODE END

  Project_Init();

  // USER CODE BEGIN (Main,2)
    ClrScr();
	//DoPrintZ(1,"AD Mess Program");
	DoPrintZ(1,"Mittelwert  :");
	DoPrintZ(2,"Gewicht     :");
	DoPrintZ(3,"Temperatur  :");
	while(1)
	{
		   if(KeyDown())
		   {
			   switch (GetKey())
			   {
			   		case '1':
				   		sprintf (buffer ,"Mittelwert %1d: %d", curChannel,fGibADMittel(curChannel));
						DoPrintZ(1,buffer);	
						curChannel=nextChannel[curChannel];	
					break;

					case '2':
						sprintf (buffer, "Gewicht     : %d",fGibGewicht());
						DoPrintZ(2,buffer);	
						break;
					case '3':	
						StartTemp();
//					   	DoPrintZ(3,"Temperatur  : xx");
						break;				
					case '4':					
						break;
					default:
						break;
			   }
		   }
		   if(bTempDa())
		   {
				float myTemp=fGetTemp();
				sprintf (buffer, "Temperatur  :%2.2f",myTemp);
				DoPrintZ(3,buffer);	
		   }
	}

  // USER CODE END
}

